Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::TerrainPageSourceListener Class Reference

Abstract class which classes can override to receive notifications when a page is ready to be added to the terrain manager. More...

`#include <OgreTerrainPageSource.h>`

List of all members.

## Public Methods

virtual void | pageConstructed (size_t pagex, size_t pagez, Real *heightData)=0
| Listener method called when a new page is about to be constructed.

## Detailed Description

Abstract class which classes can override to receive notifications when a page is ready to be added to the terrain manager.

Definition at line 40 of file OgreTerrainPageSource.h.

## Member Function Documentation

virtual void Ogre::TerrainPageSourceListener::pageConstructed | ( | size_t | pagex,
|  | size_t | pagez,
|  | Real * | heightData
| ) | `[pure virtual]`

Listener method called when a new page is about to be constructed.

Parameters:

  pagex, pagez | The index of the page being constructed
  heightData | Array of normalised height data (0..1). The size of this buffer will conform to the scene manager page size. The listener may modify the data if it wishes.

The documentation for this class was generated from the following file:

- OgreTerrainPageSource.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:03 2004